<am-section-general [headLineText]="headLineText" [helpIdentifier]="helpIdentifier" (submitEvent)="submitForm()" (keydown)="onKeyDown($event)" *ngIf="simplified === false">
  <span buttons *ngIf="localShowButtons && !localOnlySave && !localEditing">
    <ng-content select="[printButton]" ></ng-content>
  </span>

  <button buttons mat-mini-fab class="small-btn" *ngIf="localShowButtons && !localOnlySave && !localEditing" (click)=toggleEdit() >
    <mat-icon>edit</mat-icon>
  </button>
  <button buttons mat-mini-fab *ngIf="localShowButtons && !localOnlySave && localEditing" (click)=submitForm() class="small-btn">
    <mat-icon>save</mat-icon>
  </button>
  <button buttons mat-mini-fab *ngIf="localShowButtons && !localOnlySave && localEditing" (click)=toggleEdit() class="small-btn">
    <mat-icon>close</mat-icon>
  </button>
  <ng-container *ngTemplateOutlet="contentTpl"></ng-container>
</am-section-general>
<am-section-general [headLineText]="headLineText" *ngIf="simplified">
  <ng-container *ngTemplateOutlet="contentTpl"></ng-container>
</am-section-general>
<ng-template #contentTpl><ng-content></ng-content></ng-template>
